%define ptlib_version 2.10.9
%define opal_version 3.10.9

Summary:	Voice and Video over IP software (H323 / SIP)
Summary(de):	Stimme und Video über IP Software (H323 / SIP)
Name:		ekiga
Version:	4.0.1
Release:	%mkrel 6
License:	GPL
Group:		Networking/Instant messaging
BuildRequires:	libgnomeui2-devel >= 2.0.0
BuildRequires:	opal3-devel >= %{opal_version}
BuildRequires:	%{_lib}pt-devel >= 2.10.9
BuildRequires:  avahi-glib-devel
BuildRequires:  avahi-client-devel
BuildRequires:  libsigc++2.0-devel
BuildRequires:  libxv-devel
BuildRequires:  scrollkeeper
BuildRequires:  intltool
BuildRequires:  evolution-data-server-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libnotify-devel
BuildRequires:  automake1.9
BuildRequires:  gnome-doc-utils >= 0.3.2 libxslt-proc
BuildRequires:  desktop-file-utils
BuildRequires:	ffmpeg-devel
BuildRequires:	x264-devel
BuildRequires:	libslang-devel
BuildRequires:	boost-devel
Source0:        http://www.ekiga.org/admin/downloads/latest/sources/ekiga_%{version}/%{name}-%{version}.tar.xz
URL:		http://www.ekiga.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	dynamic <= 0.3-2mdk
Requires(post)  : scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3
Requires:	soundwrapper
Requires:	opal3 >= %{opal_version}
Requires:	%{_lib}pt2 >= %{ptlib_version}
Obsoletes:	gnomemeeting
Provides:	gnomemeeting
Obsoletes: 	%name < %version


%description
Ekiga is a tool to communicate with video and audio over the internet.
It uses both SIP and H323 protocol and is compatible with Microsoft Netmeeting.
It used to be called GnomeMeeting

%description -l de
Ekiga ist ein Werkzeug zum Kommunizieren via Video und Audio über das Internet.
Es benutzt beides das SIP und H323 Protokol und ist kompatibel mit Microsofts 
Netmeeting. Es wird gewöhnlich GnomeMeeting genannt.

%prep
%setup -q


%build
CXXFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED=1 -fPIC"

%configure2_5x --disable-schemas-install --enable-dbus

%make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

for omf in %buildroot%_datadir/omf/*/{*-??,*-??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -af $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/ekiga.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

%define launchers %{_sysconfdir}/dynamic/launchers/webcam
# dynamic support
mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Ekiga \$devicename
Comment=Ekiga
Exec=soundwrapper %{_bindir}/ekiga
Terminal=false
Icon=ekiga
Type=Application
StartupNotify=true
EOF

#Fix Desktop file (Tex)
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


rm -rf %buildroot/var/lib/scrollkeeper

%define schemas ekiga

%post
%post_install_gconf_schemas %{schemas}
%{update_menus}

update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %launchers/%name.desktop 40
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %launchers/%name.desktop 40
%update_scrollkeeper

%preun
if [ -r %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas -a -x %{_bindir}/gconftool-2 ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas > /dev/null
  update-alternatives --remove webcam.kde.dynamic %launchers/gnomemeeting.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/gnomemeeting.desktop
fi
%preun_uninstall_gconf_schemas %{schemas}

%postun
%{clean_menus}
%{clean_scrollkeeper}


if [ "$1" = "0" ]; then
  update-alternatives --remove webcam.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/%name.desktop
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog FAQ AUTHORS INSTALL TODO
%{_bindir}/*
%dir %{_datadir}/omf/*
%{_libdir}/%{name}
%{_datadir}/omf/*/*-C.omf
%{_datadir}/dbus-1/services/org.ekiga.*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%_datadir/icons/hicolor/*/apps/*
%{_datadir}/gnome/help/ekiga
%{_mandir}/*/*
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %launchers/*.desktop

%changelog
* Sun Jan 15 2017 adrianomorselli <adrianomorselli> 4.0.1-6uplos2017
- rebuild

* Thu Dec 01 2016 bb <bb> 4.0.1-6pclos2016
- rebuild

* Wed Nov 30 2016 bb <bb> 4.0.1-5pclos2016
- rebuild for new evolution-data-server

* Sun Nov 15 2015 bb <bb> 4.0.1-4pclos2015
- rebuild for updates


